Rawr (Official)

This project is abandoned.

Whether this project is out of date or its author marked it as abandoned, this project is no longer maintained.

If you wish to take this project over, please report it and state your intentions.

Optimised data shows upgrades

Rawr is the offical companion addon to Rawr (http://rawr.codeplex.com).

Rawr is a web based program that allows you to view your character out of the game and to try out different gear to see how that affects your tanking/dps/healing. It includes an optimiser so you can tell it what gear/gems/enchants you have available and it will workout for you what the best setup of gems/enchant/reforging etc is based on what you have available. It takes into account things all sorts of things like hit caps, special trinket procs etc, to make sure your character is geared the best it can be with the gear you have available.

This in game addon allows users to export their character details directly into Rawr in one simple operation. No more having to log out and wait for armoury updates, no more wanting lists of stuff in your bags/bank to be included and relying on out of date addons that are no longer supported.

Once you have adjusted the gear on your character in Rawr or optimised it you can then use the export to addon feature in Rawr to pull the data back in game to see how everything looks. It also maintains an upgrade list in game so you have a reference to what items to look out for. It can also play a sound in game and warn you when an item in your upgrade list drops from a mob or is linked in raid/party chat.

Rawr 4.0.15 and above supports Rawr.Addon it can be found at http://elitistjerks.com/rawr.php

Please rate this addon on Curse.com, and add it to your favourites to ensure you get the latest updates.

Future features: I plan to add features like visual/sound alerts when an item drops that is in your upgrade list. So you can easily tell that the thing that has just dropped is an upgrade for you. I'm also keen for users to suggest new features please use the ticket system http://wow.curseforge.com/addons/rawr-official/tickets/ to make your suggestions.

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of Pericles Pericles Sep 12, 2013 at 17:43 UTC - 0 likes

    It's been a dead addon for 2 years now of course it doesn't work with 5.4!!!

  • Avatar of Dodgetimmy Dodgetimmy Sep 12, 2013 at 16:49 UTC - 0 likes

    This doesn't export any more in 5.4. Seems to be broken.

  • Avatar of Pericles Pericles Jan 10, 2011 at 02:36 UTC - 0 likes

    Rawr 4.0.15 should be live tonight 9th January 2011. This should work very well with Rawr.addon v0.53.

    If you find any issues please post them here rather than on Codeplex site. Thanks.

  • Avatar of Pericles Pericles Jan 07, 2011 at 01:11 UTC - 0 likes

    Version 4.0.15 of Rawr or higher is required to import data from Rawr to the addon. This is not live at the time of typing.

  • Avatar of Pericles Pericles Jan 01, 2011 at 02:17 UTC - 0 likes

    Version 4.0.13 of Rawr is live at http://elitistjerks.com/rawr.php this should work with addon version 0.23 and above.

  • Avatar of Pericles Pericles Dec 28, 2010 at 14:21 UTC - 0 likes

    To be clear Version 0.21 and above require Rawr 4.0.13 or above. Rawr 4.0.13 is NOT on the live website as of the time of writing it is however planned to be live in the next few days.

    Please understand that the project team have been busy with Xmas/New Year and spending time with friends and family thus a new release on the website has not yet been done.

  • Avatar of DjKrayzie DjKrayzie Dec 28, 2010 at 09:31 UTC - 0 likes

    Hi, sorry for my english first :) i have two problems. first, Rawr said: Your Addon is out of date. when i change the line from version 0.21 to 0.09 i can apply but then comes that: I have performed the Suggested Fix and continue to receive this error. If I am posting this message without having performed the Suggested Fix I am aware that I am consuming the Developer(s) time in managing my Issue unnecessarily.

    Error Message

    There is an error in XML document (1, 206). Instance validation error: 'Gnom' is not a valid value for CharacterRace.

    StackTrace

    bei System.Xml.Serialization.XmlSerializer.Deserialize(XmlReader xmlReader, String encodingStyle, Object events) bei System.Xml.Serialization.XmlSerializer.Deserialize(TextReader textReader) bei Rawr.Character.LoadFromXml(String xml)

    These are the Steps that I have tried

    [Please fill in steps here]

    I used the german client of wow and in rawr addon options is all of EU

  • Avatar of Pericles Pericles Dec 23, 2010 at 09:05 UTC - 0 likes

    No actually the version on EJ just needs a new release to catch up as there was a bug in the export routine in 0.09 with class names for some classes.

    The import code in Rawr also has a bug in the version checking only validating fixed version numbers. Simply change the version string in the code you paste to 0.09 for now.

  • Avatar of Quaiche Quaiche Dec 22, 2010 at 23:56 UTC - 0 likes

    It appears that the current Rawr on EJ is expecting v0.09 of the addon (as of 12/22). Just an FYI that they might need an update, or that people should be using the older version for now.

  • Avatar of Pericles Pericles Dec 04, 2010 at 13:09 UTC - 0 likes

    Entirely depends on the speed of the project contibutors. Please see http://rawr.codeplex.com/discussions/topics/4973/rawr-addon for the Rawr site discussion page.

Facts

Date created
Dec 03, 2010
Categories
Last update
Dec 19, 2011
Development stage
Abandoned
Language
  • enUS
License
Public Domain
Downloads
451,420
Recent files

Authors

Relationships

Embedded library
Ace2
Ace3
CallbackHandler-1.0
LibSharedMedia-3.0
LibStub